Skip to content
Content data parser for Ridibooks services
JavaScript HTML CSS
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.vscode
packages
test
.babelrc Fix runtime error on published version Nov 13, 2018
.editorconfig
.eslintignore
.eslintrc Add more test cases and lint cleanup Feb 10, 2019
.gitattributes
.gitignore
.nycrc
.travis.yml
CHANGELOG.md
README.md
greenkeeper.json
lerna.json
package.json

README.md

Packages

@ridi/parser-core

Utilities for parsers

NPM version Build Status codecov NPM total downloads

@ridi/content-parser

Content data parser for Ridibooks services (epub-parser + comic-parser + pdf-parser)

NPM version Build Status codecov NPM total downloads

@ridi/epub-parser

Common EPUB2 data parser for Ridibooks services

NPM version Build Status codecov NPM total downloads

@ridi/comic-parser

Common comic data parser for Ridibooks services

NPM version Build Status codecov NPM total downloads

@ridi/pdf-parser

Common PDF data parser for Ridibooks services

NPM version Build Status codecov NPM total downloads

Development

Setup

$ git clone git@github.com:ridi/content-parser.git
$ yarn

yarn required.

Commands

If you want install the development environment or add a new dependency to the package or add a new package, run the following command:

$ yarn

If you want only build, the following command:

$ yarn build

yarn clean are preceded.

If you want only lint, the following command:

$ yarn lint

To test each package, use the following command:

$ yarn test

yarn build and yarn lint are preceded.

To deploy the new version, use the following command:

$ yarn bump

Version names must conform to SemVer.

You can’t perform that action at this time.